SUSE Container Update Advisory: bci/php
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2023:1641-1
Container Tags        : bci/php:8 , bci/php:8-2.52
Container Release     : 2.52
Severity              : important
Type                  : security
References            : 1203141 1207410 1211230 1211231 1211232 1211233 CVE-2023-28319
                        CVE-2023-28320 CVE-2023-28321 CVE-2023-28322 
-----------------------------------------------------------------

The container bci/php was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2023:2224-1
Released:    Wed May 17 09:53:54 2023
Summary:     Security update for curl
Type:        security
Severity:    important
References:  1211230,1211231,1211232,1211233,CVE-2023-28319,CVE-2023-28320,CVE-2023-28321,CVE-2023-28322
This update for curl adds the following feature:

Update to version 8.0.1 (jsc#PED-2580)

- CVE-2023-28319: use-after-free in SSH sha256 fingerprint check (bsc#1211230).
- CVE-2023-28320: siglongjmp race condition (bsc#1211231).
- CVE-2023-28321: IDN wildcard matching (bsc#1211232).
- CVE-2023-28322: POST-after-PUT confusion (bsc#1211233).

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2023:2240-1
Released:    Wed May 17 19:56:54 2023
Summary:     Recommended update for systemd
Type:        recommended
Severity:    moderate
References:  1203141,1207410
This update for systemd fixes the following issues:

- udev-rules: fix nvme symlink creation on namespace changes (bsc#1207410)
- Optimize when hundred workers claim the same symlink with the same priority (bsc#1203141)
- Add nss-resolve and systemd-network to Packagehub-Subpackages (MSC-626)


The following package changes have been done:

- libsystemd0-249.16-150400.8.28.3 updated
- libcurl4-8.0.1-150400.5.23.1 updated
- container:sles15-image-15.0.0-27.14.63 updated

SUSE: 2023:1641-1 bci/php Security Update

May 25, 2023
The container bci/php was updated

Summary

Advisory ID: SUSE-SU-2023:2224-1 Released: Wed May 17 09:53:54 2023 Summary: Security update for curl Type: security Severity: important Advisory ID: SUSE-RU-2023:2240-1 Released: Wed May 17 19:56:54 2023 Summary: Recommended update for systemd Type: recommended Severity: moderate

References

References : 1203141 1207410 1211230 1211231 1211232 1211233 CVE-2023-28319

CVE-2023-28320 CVE-2023-28321 CVE-2023-28322

1211230,1211231,1211232,1211233,CVE-2023-28319,CVE-2023-28320,CVE-2023-28321,CVE-2023-28322

This update for curl adds the following feature:

Update to version 8.0.1 (jsc#PED-2580)

- CVE-2023-28319: use-after-free in SSH sha256 fingerprint check (bsc#1211230).

- CVE-2023-28320: siglongjmp race condition (bsc#1211231).

- CVE-2023-28321: IDN wildcard matching (bsc#1211232).

- CVE-2023-28322: POST-after-PUT confusion (bsc#1211233).

1203141,1207410

This update for systemd fixes the following issues:

- udev-rules: fix nvme symlink creation on namespace changes (bsc#1207410)

- Optimize when hundred workers claim the same symlink with the same priority (bsc#1203141)

- Add nss-resolve and systemd-network to Packagehub-Subpackages (MSC-626)

The following package changes have been done:

- libsystemd0-249.16-150400.8.28.3 updated

- libcurl4-8.0.1-150400.5.23.1 updated

- container:sles15-image-15.0.0-27.14.63 updated

Severity
Container Advisory ID : SUSE-CU-2023:1641-1
Container Tags : bci/php:8 , bci/php:8-2.52
Container Release : 2.52
Severity : important
Type : security

Related News